function init()
	-- NAME & GRAPHIC --
	c.name = "AngelSpoke"
	c.gfxFile = "bulwark.png"

	-- STATS --
	c.mass = 60
	c.stat.strafe = 1
	c.stat.thrust = 1
	c.stat.maxSpeed = 200
	c.stat.turnRate = 60
	c.stat.armour = 20

	-- TILES & POWER SLOTS --
	c.load_cshape("filled.png")
	
	-- MISC --
	c.setExplodeSound("explode_ship.wav")
	c.add_item("point", 16)
	c.desc = "A heavily-armoured spoke of a cogwork cog."
	c.behavior = "boss_angelspoke"
end

--sets the editor/minimap display icon
function setIcon()
	icon.frame = 4	--from map_icons.png, which frame to use.
	return 0
end